! Program Example from "Essential Fortran 90 & 95" by Loren P. Meissner
! Copyright 1996. Copying for sale requires permission from the author.
! Otherwise, distribution is permitted if these three lines are included.

! Example 4.19
  program E19
    use E19M
    implicit none
! Start program E19
    open (unit = 1, file = "E18.txt", status = "old", action = "read", position = "rewind")
    read (unit = 1, fmt = *) List
    write (unit = *, fmt = *) " Please enter a search key."
    read (unit = *, fmt = *) Search_Key
    select case (Search( ))
    case ("FOUND")
      write (unit = *, fmt = *) " Update "
    case ("NOT FOUND")
      write (unit = *, fmt = *) " Insert "
    end select
    stop
  end program E19
